/**
 *  \file: secret.cpp
 *   (Latin-2 kodolasu fajl. Allitsa at a kodolast,
 *    ha a tovabbi kommentek nem olvashatok helyesen!)
 *
 *  \brief Pda az kezetes karakterek megjelentsre
 *
 *   UTF-8 kezelse bonyolultabb, mert 1 karakter tbb byte hossz is lehet.
 *   LINUX-ban a LANG paranccsal be kell lltani a fjl kdolsnak
 *   megfelel nyelvet (pl: LANG=hu_HU, vagy LANG=hu_HU.utf8
 *
 *   Ha tvoli termilemulcival csatlakozunk (pl. ssh, putty), akkor az
 *   kezethelyes megjelenshez annak a kdkszlett is jl kell belltani.
 *   (pl: putty -> change settings -> translation -> latin2)
 *
 *   Kdkonverzi: iconv (van Windows s Linux vltozata is)
 */

#include <iostream>
#include <clocale>
#define WINX defined(WIN32) || defined(_WIN32) || defined(WIN64) || defined(_WIN64)
#if WINX
#include <windows.h>
#endif // WINX
#include "secret.h"

using std::cout;
using std::endl;

void printSecret() {
    cout << "1. Mikor jelentkezik a buffer oveflow hiba?\n"
         << "\ta) reggel\n"
         << "\tb) aritmetikai tlcsordulskor\n"
         << "\tc) ha elfogy a memria\n"
         << "\td) egy vltozt (buffert) a program hosszabban r, mint annak a mrete" << std::endl;
}

void initOutputEncoding() {
    setlocale(LC_ALL, "");
#if WINX
/// Windows alatt egyb varzslatra is szksg van ...
    SetConsoleCP(1250);
    SetConsoleOutputCP(1250);
#endif
}
